<script context="module">
    export async function load({ fetch }) {
        const url = "/api/nav"
        const res = await fetch(url)
        const data = await res.json()
        return { props: { data } }
    }
</script>

<script>
    import "../app.postcss"
    import Nav from "/src/components/nav/nav.svelte"
    import Footer from "/src/components/footer/footer.svelte"
    export let data
</script>

<Nav {data} />
<slot />
<Footer />
